Summary:	Adds phpunit channel to PEAR
Name:		php-channel-phpunit
Version:	1.3
Release:	%mkrel 9
Group:		Development/PHP
License:	BSD
URL:		http://pear.phpunit.de
Source0:	http://pear.phpunit.de/channel.xml
BuildRequires:	php-pear
Requires:	php-pear
Requires(post): php-pear
Requires(postun): php-pear
BuildArch:	noarch
Obsoletes:	php-pear-channel-phpunit


%description
This package adds the phpunit channel which allows PEAR packages from this
channel to be installed.

%prep

%setup -q -c -T

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/packages

install -m0644 %{SOURCE0} %{buildroot}%{_datadir}/pear/packages/pear.phpunit.de.xml

%post
if [ $1 -eq  1 ] ; then
    %{_bindir}/pear channel-add %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null || :
else
    %{_bindir}/pear channel-update %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null ||:
fi

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/pear channel-delete pear.phpunit.de > /dev/null || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/pear/packages/pear.phpunit.de.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3-9.mga3
+ Revision: 375726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 spuhler <spuhler> 1.3-8.mga3
+ Revision: 340087
- bumped rel for rebuild and updating channel
- updated file to upstream

* Wed Mar 28 2012 pterjan <pterjan> 1.3-7.mga2
+ Revision: 227296
- Use local xml file in post

* Mon Mar 05 2012 spuhler <spuhler> 1.3-6.mga2
+ Revision: 218279
- increased rel so the channel will update
  fixed the post so it will actually updates

* Thu Jan 12 2012 spuhler <spuhler> 1.3-5.mga2
+ Revision: 195216
- increase rel to 5 for channel upgrade

* Sun Jan 08 2012 obgr_seneca <obgr_seneca> 1.3-4.mga2
+ Revision: 193348
- rebuild for missing signature

* Sun Jan 08 2012 spuhler <spuhler> 1.3-3.mga2
+ Revision: 193095
- increased release for channel to update

* Wed Jan 04 2012 spuhler <spuhler> 1.3-2.mga2
+ Revision: 190238
- added Obsoletes: php-pear-channel-phpunit

* Thu Jan 27 2011 spuhler <spuhler> 1.3-1.mga1
+ Revision: 41648
- removed buildroot definition from .spec
- imported package php-channel-phpunit

